﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post6346
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            
            
            
            ShapeFileFeatureLayer state = new ShapeFileFeatureLayer(MapPath("~/App_Data/STATES.SHP"));
            state.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.State2;
            state.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay stateOverlay = new LayerOverlay();
            stateOverlay.Layers.Add(state);
            
            state.Open();
            Map1.CurrentExtent = state.GetBoundingBox();
            state.Close();
            
            SimpleMarkerOverlay smo = new SimpleMarkerOverlay();
            smo.Markers.Add(new Marker(0, 0));
            smo.Markers.Add(new Marker(10, 10));
            Map1.CustomOverlays.Add(stateOverlay);
            Map1.CustomOverlays.Add(smo);
//            Map1.StaticOverlay.Layers.Add(state);
        }
    }
}
